/**
 * Created by robin on 11/2/15.
 */

angular.module('luticateUtils')
    .directive('dialogClose', ['luticateDialogErrorHelper',
        function (luticateDialogErrorHelper) {
            return {
                restrict: 'EA',
                transclude: true,
                templateUrl: '/luticateUtils/dialogclose.html',
                link: function link($scope, element, attrs) {
                    $scope.title = attrs.title;

                    $scope.__close = function()
                    {
                        if ($scope.onClosed) {
                            $scope.onClosed();
                        }
                        $scope.$close();
                    };
                }
            };
        }]);

angular.module("luticateUtils").run(["$templateCache", function($templateCache)
{
    $templateCache.put("/luticateUtils/dialogclose.html", '<div class="popin modal-content" xmlns="http://www.w3.org/1999/html">' +
        '<div class="modal-header">{{ title }}</div>' +
        '<div class="modal-body" lu-busy="modal">' +
        '    <div class="form-group">' +
        '    <ng-transclude></ng-transclude>' +
        '    </div>' +
        '    <div class="clearfix"></div>' +
            /*'    <span class="error" ng-show="submitted">' +
             '    <p class="error">{{ errorString }}</p>' +
             '</span>' +*/
        '</div>' +
        '<div class="modal-footer">' +
        '    <button type="button" class="btn btn-default" ng-click="__close()">Close</button>' +
        '    </div>' +
        '    </div>')
}]);